Get a single List Entry on a List
curl --request GET \
--url https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1,
"type": "company",
"listId": 1,
"entity": {
"id": 1,
"name": "Horizon Technologies",
"domain": "horizontech.com",
"domains": [
"horizontech.com"
],
"isGlobal": true,
"fields": [
{
"id": "affinity-data-description",
"name": "Description",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "Horizon Technologies is a leading technology company specializing in enterprise software and cloud infrastructure."
}
},
{
"id": "affinity-data-industry",
"name": "Industry",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Healthcare",
"Fintech",
"SaaS"
],
"totalCount": 3
}
},
{
"id": "affinity-data-investment-stage",
"name": "Investment Stage",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text",
"data": "Public Markets"
}
},
{
"id": "affinity-data-investors",
"name": "Investors",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Alex Rivera",
"Taylor Wong"
],
"totalCount": 2
}
},
{
"id": "affinity-data-last-funding-amount",
"name": "Last Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 100000000
}
},
{
"id": "affinity-data-last-funding-date",
"name": "Last Funding Date",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "datetime",
"data": "2023-01-01T00:00:00Z"
}
},
{
"id": "affinity-data-linkedin-url",
"name": "LinkedIn URL",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "https://linkedin.com/company/horizontech"
}
},
{
"id": "affinity-data-location",
"name": "Location",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "location",
"data": {
"streetAddress": null,
"city": "Fairfield",
"state": "New Jersey",
"country": "United States",
"continent": null
}
}
},
{
"id": "affinity-data-number-of-employees",
"name": "Number of Employees",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 3990
}
},
{
"id": "affinity-data-total-funding-amount",
"name": "Total Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 90000000
}
},
{
"id": "affinity-data-year-founded",
"name": "Year Founded",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 1952
}
}
]
},
"creatorId": 1,
"createdAt": "2023-01-01T00:00:00Z"
}List Entries
Get a single List Entry on a List
Retrieve a single list entry. Returns basic information and field data, including list-specific field data.
To retrieve field data, you must use either the fieldIds or the fieldTypes parameter
to specify the Fields for which you want data returned.
These Field IDs and Types can be found using the GET /v2/lists/{listId}/fields endpoint.
When no fieldIds or fieldTypes are provided, the List Entry will be returned without any field data attached.
To supply multiple fieldIds or fieldTypes parameters, generate a query string that looks like this:
?fieldIds=field-1234&fieldIds=affinity-data-location or ?fieldTypes=enriched&fieldTypes=global.
GET
/
v2
/
lists
/
{listId}
/
list-entries
/
{listEntryId}
Get a single List Entry on a List
curl --request GET \
--url https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.affinity.co/v2/lists/{listId}/list-entries/{listEntryId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": 1,
"type": "company",
"listId": 1,
"entity": {
"id": 1,
"name": "Horizon Technologies",
"domain": "horizontech.com",
"domains": [
"horizontech.com"
],
"isGlobal": true,
"fields": [
{
"id": "affinity-data-description",
"name": "Description",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "Horizon Technologies is a leading technology company specializing in enterprise software and cloud infrastructure."
}
},
{
"id": "affinity-data-industry",
"name": "Industry",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Healthcare",
"Fintech",
"SaaS"
],
"totalCount": 3
}
},
{
"id": "affinity-data-investment-stage",
"name": "Investment Stage",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text",
"data": "Public Markets"
}
},
{
"id": "affinity-data-investors",
"name": "Investors",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "filterable-text-multi",
"data": [
"Alex Rivera",
"Taylor Wong"
],
"totalCount": 2
}
},
{
"id": "affinity-data-last-funding-amount",
"name": "Last Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 100000000
}
},
{
"id": "affinity-data-last-funding-date",
"name": "Last Funding Date",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "datetime",
"data": "2023-01-01T00:00:00Z"
}
},
{
"id": "affinity-data-linkedin-url",
"name": "LinkedIn URL",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "text",
"data": "https://linkedin.com/company/horizontech"
}
},
{
"id": "affinity-data-location",
"name": "Location",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "location",
"data": {
"streetAddress": null,
"city": "Fairfield",
"state": "New Jersey",
"country": "United States",
"continent": null
}
}
},
{
"id": "affinity-data-number-of-employees",
"name": "Number of Employees",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 3990
}
},
{
"id": "affinity-data-total-funding-amount",
"name": "Total Funding Amount (USD)",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 90000000
}
},
{
"id": "affinity-data-year-founded",
"name": "Year Founded",
"type": "enriched",
"enrichmentSource": "affinity-data",
"value": {
"type": "number",
"data": 1952
}
}
]
},
"creatorId": 1,
"createdAt": "2023-01-01T00:00:00Z"
}Authorizations
Path Parameters
Query Parameters
Response
OK
- CompanyListEntry
- OpportunityListEntry
- PersonListEntry
Was this page helpful?